Tienda deepines ins...
 
Notificaciones
Eliminar todas

[ BIENVENIDO  - POR FAVOR LEE LAS REGLAS DE DISCUSIÓN DEL FORO - CLIC AQUÍ - ENCUENTRA O COMPARTE SOLUCIONES ]

RECUERDA, EL FORO NO ES SOLO PARA HACER PREGUNTAS, TAMBIÉN PARA AYUDAR A OTROS SI CONOCES LA SOLUCIÓN

SI EXPERIMENTAS PROBLEMAS DE VISUALIZACIÓN EN EL FORO POR FAVOR LIMPIA EL CACHÉ DE TU NAVEGADOR

Deepines Tienda deepines instalada en deepin 20.4


celso
Respuestas: 21
Registrado
Iniciante del hilo
(@celso)
Integrante Eminente
Registrado: hace 4 meses

Hola a todos. ¡Por fin pude instalar la tienda deepines en español en deepin 20.4!

Hace unos días comenté, al igual que otros usuarios lo han hecho, que el paquete deb para instalar la tienda mandaba un mensaje de error acerca de que “requería la versión 20”. La solución que encontré fue: desarmar el paquete deb, y modificar el archivo que revisa la versión del sistema operativo antes de la instalación (que es donde se interrumpe ésta), para que reconociera la 20.4

Luego, instalé la tienda normalmente e hice una prueba descargando una aplicación… y parece que todo quedó bien.

Yo no conocía la tienda deepines en español,  pues tengo apenas unos días usando y conociendo deepin, y realmente me pareció agradable y útil ;>)

tienda1

[para agrandar: clic sobre imagen -> botón derecho de mouse -> abrir enlace en pestaña nueva]

Enseguida escribo los pasos que seguí, por si alguien quiere intentarlo también. 

NOTAS IMPORTANTES:

- SUGIERO FUERTEMENTE HACER ANTES UN RESPALDO DE SU SISTEMA, por si llega a haber algún error o conflicto de aplicaciones, y hay que deshacer la cosa.

- Sigan los pasos CON CUIDADO y bajo su propio riesgo (no me hago responsable de alguna falla en su sistema!). Sugiero seguir los pasos a usuarios que tengan algún conocimiento de DEBIAN (yo soy un usuario viejo de ésta rama de Linux).

- En todo caso, nuestros amigos administradores de deepin en español podrán indicarnos si la modificación que hice es correcta… y ya ellos podrán modificar correspondientemente el script en el sitio, para que todos los que utilicen la versión 20.4 puedan descargarlo. :>)

- ¿ya mencioné que sería bueno hacer ANTES un respaldo del sistema? OK, esto es el pequeño cambio que hice:

- Descargar el paquete deepines-store_1.3.3_amd64.deb , desde el sitio de deepin en Español 

Abrimos terminal y ejecutamos los siguientes comandos:

sudo su (cambio a usuario administrador o “superusuario”, pide password)

cat /etc/os-release (para descubrir la identidad del Linux que estamos utilizando, en mi sistema da este resultado:)

PRETTY_NAME="Deepin 20.4"
NAME="Deepin"
VERSION_ID="20.4"
VERSION="20.4"
VERSION_CODENAME="apricot"
ID=Deepin
HOME_URL="https://www.deepin.org/"
BUG_REPORT_URL="https://bbs.deepin.org/"

Ahora,  vamos al directorio donde descargamos el paquete:

cd Downloads (o a donde lo descargamos)

Y lo desempaquetamos en un directorio, llamado “archivos”, con esta orden:

dpkg-deb -R deepines-store_1.3.3_amd64.deb archivos/

Enseguida, editamos con nano (u otro editor de consola) el archivo “preinst” (éste script es el que checa el sistema operativo, y es el que nos ha estado enviando un mensaje de error "por no usar la versión 20"):

nano ./archivos/DEBIAN/preinst

SOLAMENTE DEBEMOS MODIFICAR DOS pequeñas cosas en el script:
1. cambiar el número de la versión, de “20” a “20.4”
2. donde dice “n/a” poner explícitamente “apricot” (¡los datos que obtuvimos con el comando os-release!)

En la primera imágen que sigue está el script original, y en la seguna están los cambios que hice (recuerden agrandar la imagen : mouse-botón derecho-abrir enlace)

 versíón original: fijarse dónde dice "20" y "n/a":

tienda3

 

 

versión corregida, ahora dice "20.4" y "apricot" :

tienda4

Hechos estos cambios, guardamos el script y salimos de nano con estos comandos:

ctrl+o  (y Enter para aceptar el guardado)

ctrl+x

De vuelta en la terminal, reempaquetamos el "deb":

dpkg-deb -b archivos deepines-store_1.3.3_amd64.deb

Instalamos el paquete recien hecho:

dpkg -i deepines-store_1.3.3_amd64.deb

¡y con suerte quedará lista nuestra Tienda deepines en español!
Yo hice una prueba y aproveché para instalar desde la Tienda deepines en español una aplicación que me gusta utilizar: Atom,

La instlación de Atom desde la Tiendea en español se hizo sin problemas (aunque por unos segundos parece quedar congelada la secuencia de líneas que van apareciendo... ¡no desesperarse!)
Nota: Atom funciona OK, si bien en el menú de deepin no quedó en la sección “Desarrollo”, sino en “Sistema”; pero esto ya es "harina de otro costal", otro día podríamos ver cómo cambiar de sección las aplicaciones, aunque en el foro ya hay hilos sobre esto.

¡Ojalá que esta prueba que hice nos encamine a resolver definitivamente el problema de la instalación de la Tienda en la versión 20.4!

Saludos a todos.

Respuesta
5 Respuestas
3 Respuestas
Car
 Car
Moderador
(@car)
Registrado: hace 4 años

Integrante Prominente
Respuestas: 796

@celso Gracias por la explicación y disculpe las molestias ocasionadas. Por el cambio de los "code names" de la versión de deepin, La semana pasada hicimos un paquete nuevo y aprovechamos para hacerlo mas inteligente; mejorando sus scripts. Ahora podrá descargar un único paquete que es capaz de detectar e instalar la versión correcta de los repos y tienda deepines ya sea en deepin 20x o la 23. por consiguiente ya tenemos en linea a deepines 5 para deepin 23 /debian 11, aunque aun no lo hemos anunciado.

Ademas se viene nueva versión de la tienda con muchas mejoras y ya se esta trabajando en una nueva que sera DTK para que este en armonía con DDE.

https://deepinenespañol.org/deepines/

image
Respuesta
celso
Registrado
(@celso)
Registrado: hace 4 meses

Integrante Eminente
Respuestas: 21

@car ¡qué buenas noticias sobre la tienda!... Nuevamente gracias por el esfuezo de quienes mantienen el sitio de Deepin en español. Por cierto, después de instalar la tienda no tuve ningún problema y le he estado "sacando jugo" instalando sin dificultad varias aplicaciones que requería.

Asimismo qué buena noticia sobre la versión de deepin con Debian 11! Con esto Deepin dará otro brinco adelante, y atraerá a más usuarios, especialmente a los que hoy están probando el escritorio DDE en ubuntu, mint o fedora... pero que no se han atrevido a pasarse sencillamente a Deepin completo.  :>)

Respuesta
Car
 Car
Moderador
(@car)
Registrado: hace 4 años

Integrante Prominente
Respuestas: 796

@celso Gracias por las palabras bro, tu estas en nuestro telegram ? Si no es así, estaría bueno que te acerques a participar.

Respuesta
Car
Respuestas: 796
 Car
Moderador
(@car)
Integrante Prominente
Registrado: hace 4 años

@celso Gracias por las palabras bro, tu estas en nuestro telegram ? Si no es así, estaría bueno que te acerques.

https://t.me/deepinenespanol

Respuesta
celso
Respuestas: 21
Registrado
Iniciante del hilo
(@celso)
Integrante Eminente
Registrado: hace 4 meses

¡Dale! me acabo de inscribir a Telegram y voy a echarle un vistazo para saber cómo es la dinámica allí 8>). Saludos

Respuesta
Comparte: